/* packet.h */
/*
 * Copyright (c) 1990 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */


#define PKT_TIMEOUT	60

typedef struct packet {
	struct sockaddr_in	pkt_from;
	long			pkt_time;
	long			pkt_size;
	char			*pkt_data;
	char			pkt_outgoing;
	struct packet		*pkt_next;
} Packet;

#define NULLPKT	((Packet *) NULL)

#define PKT_FOUND	0
#define PKT_OK		0
#define PKT_NOTFOUND	1
#define PKT_DUPLICATE	2
